Bug 98310 - up2date causes corrupt filesystem
up2date causes corrupt filesystem
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2003-06-30 17:48 EDT by Bryan Che
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-14 16:24:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2003-06-30 17:48:07 EDT
Description of problem:

I did a full up2date on AS 2.1 to 2.4.9-e.25smp.  When I rebooted the box, /var
was mounted twice on my box as a normal partition and also as a raw partition:

Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/md2               8254200   2809000   5025908  36% /
/dev/md1                101018     33055     62747  35% /boot
none                    513860         0    513860   0% /dev/shm
/dev/md3               7076060   3110388   3606224  47% /var
/dev/sda3              7076060   3110388   3606224  47% /var

This led to severe corruption of my filesystem.  

Phil D'Amore helped me fix this issue by modifying /etc/fstab and replacing 

LABEL=/var              /var


/dev/md3                /var

Version-Release number of selected component (if applicable):

AS 2.1

How reproducible:

Always (I up2dated 3 boxes and had this corruption issue on all 3)

Steps to Reproduce:
1. up2date system with separate /var partition
Actual results:

df shows /var mounted twice, filesystem corruption

Expected results:

/var mounted once, no filesystem corruption =p

Additional info:
Comment 1 Adrian Likins 2003-07-02 13:41:39 EDT
I dont really see how this is an up2date issue?

File system corruption is more or less always a
kernel issue, and up2date doesnt touch fstab. It's
possible one of the packages in the transaction
set may of had problems.

What about this case of filesystem corruption
makes it appear to be a up2date issue?

Note You need to log in before you can comment on or make changes to this bug.